Bug 113935 - Switching from read-only to edit mode by clicking "Edit Document" isn't instantaneous anymore
Summary: Switching from read-only to edit mode by clicking "Edit Document" isn't insta...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2017-11-19 20:14 UTC by Telesto
Modified: 2017-11-23 10:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (2.91 KB, text/plain)
2017-11-19 20:16 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-11-19 20:14:50 UTC
Description:
Switching from read-only to edit mode by clicking "Edit Document" isn't instantaneous anymore

Steps to Reproduce:
1. Download https://people.gnome.org/~michael/data/2014-04-26-story-of-libreoffice.pdf and mark it read-only
2. Open the file
3. Click "Edit Document" in the blue bar. It will take 5-8 seconds before LibO gets responsive. This was instantaneous before

Actual Results:  
Delay when pressing Editing Document

Expected Results:
Instant switching (as in previous releases)



Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.0.0.0.alpha1+
Build ID: b3f1d199a72ce87cb65ddaeac922564f57da6a4d
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-11-06_00:10:53
Locale: nl-NL (nl_NL); Calc: CL

and in
5.4


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2017-11-19 20:16:21 UTC
Created attachment 137861 [details]
Bibisect log

Regression introduced by

author	Noel Grandin <noel.grandin@collabora.co.uk>	2017-05-11 13:40:42 (GMT)
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2017-05-12 07:56:01 (GMT)
commit	389da66dfc96d06c407bff156c4ea21e940c5e06 (patch)
tree	2d1ebce6bdb2d952700ed5aaeb808289e9f72a7d
parent	a651dbcfca9e198b5c2561076961504586bc6bea (diff)
remove unused uno::Reference vars
found by temporarily marking Reference as SAL_WARN_UNUSED.
Comment 2 Buovjaga 2017-11-20 19:24:56 UTC
5.4.3 already has the delay. 5.3 is instantaneous for me.

Noel: any idea what is going on with the slow down?

Version: 5.3.0.0.alpha1 (x64)
Build ID: f4ca1573fcf445164c068c1046ab5d084e1b005f
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
Locale: fi-FI (fi_FI); Calc: group

Version: 5.4.3.2 (x64)
Build ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU threads: 4; OS: Windows 6.19; UI render: default; 
Locale: fi-FI (fi_FI); Calc: group
Comment 3 Commit Notification 2017-11-22 19:42:06 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ee141ee2fb77c3cc452ac656235d7e83e15072c

tdf#113935 Switching from read-only to edit mode slow

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-11-23 10:36:49 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=530a587f232e2552216fae363d798901aa2bd259&h=libreoffice-5-4

tdf#113935 Switching from read-only to edit mode slow

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.